-- love 2d 0.8.0
require("AnAL")

function love.load()
--love.graphics.setMode(650, 650, false, true, 0) --set the window dimensions to 650 by 650
	door=love.graphics.newImage("door.png")
	jump=love.graphics.newImage("tim.png")
	love.physics.setMeter(64)
	world = love.physics.newWorld(0, 29.81*64, true)
	
	objects = {}
	
	

	
	gravity = 400
	jump_height = -300
	
	local imgwalk = love.graphics.newImage("timwalking.png")
	local imgwalk1 = love.graphics.newImage("timwalking1.png")
	local imgjump = love.graphics.newImage("timjumping.png")
	
	anim = newAnimation(imgwalk, 128.5, 150, 0.08, 0)
	anim:setMode("loop")
	anim1 = newAnimation(imgwalk1, 128.5, 150, 0.08, 0)
	anim1:setMode("loop")
	anim2 = newAnimation(imgjump, 128.5, 150, 0.08, 0)
	anim2:setMode("bounce")
	activeImage = "standing" -- character states
	
	objects.player = {}
    objects.player.x=400
	objects.player.y=450
	objects.player.speed = 300
	objects.player.y_velocity = 450
	objects.player.jump=love.graphics.newImage("jump.png")
	--objects.player.tim=love.graphics.newImage("tim.png")
	objects.player.body= love.physics.newBody(world, objects.player.x,objects.player.y, "dynamic")
	objects.player.shape = love.physics.newRectangleShape(128.5,150)
	objects.player.fixture=love.physics.newFixture(objects.player.body, objects.player.shape, 1);
	
	objects.door = {}
	objects.door.body = love.physics.newBody(world,50,550) --remember, the shape (the rectangle we create next) anchors to the body from its center, so we have to move it to 300/2, 300-50/2)
	objects.door.shape = love.physics.newRectangleShape(100,100) --make a rectangle with a width of 300 and a height of 50
	objects.door.fixture = love.physics.newFixture(objects.door.body, objects.door.shape);
	
end

function love.update(dt)
world:update(dt)


	if love.keyboard.isDown("right") then
		objects.player.x = objects.player.x + (objects.player.speed * dt)
		activeImage = "walkingright"
		anim:update(dt)
	elseif love.keyboard.isDown("left") then
		objects.player.x = objects.player.x - (objects.player.speed * dt)
		activeImage = "walkingleft"
		anim1:update(dt)
	
	
	elseif objects.player.y_velocity ~= 450 then -- we're probably jumping
        objects.player.y = objects.player.y + objects.player.y_velocity * dt		-- dt means we wont move at
        -- different speeds if the game lags
        objects.player.y_velocity = objects.player.y_velocity + gravity * dt
		activeImage = "jumping"
		anim2:update(dt)
			if objects.player.y > 450 then -- we hit the ground again
				objects.player.y_velocity = 450
				objects.player.y = 450
			end
	elseif objects.player.y_velocity == 450 then 
		activeImage = "standing" 
	end 
	
	
end


function love.keypressed(key)
    if key == " " then
        if objects.player.y_velocity == 450 then -- we're probably on the ground, let's jump
            objects.player.y_velocity = jump_height
        end
    end
end

function love.draw()
		 

	x, y = objects.door.body:getPosition( )
	love.graphics.draw(door,x-50,y-50)
		
	if activeImage == "walkingright" then
	   love.graphics.print('Walking right', 400, 300)
	   anim:draw(objects.player.x,objects.player.y)	
	   end
    if activeImage == "walkingleft" then
		love.graphics.print('Walking left', 400, 300)
	   anim1:draw(objects.player.x,objects.player.y)
	   end
	if activeImage == "jumping" then
		love.graphics.print('Jumping', 400, 300)
		love.graphics.draw(objects.player.jump, objects.player.x, objects.player.y)
		end
	if activeImage == "standing" then
		love.graphics.print('Standing', 400, 300)
		love.graphics.draw(jump, objects.player.x, objects.player.y)
	end
	

	
	
end
